//
//  BitmapView.m
//  MandelOpper
//
//  Created by Ken Anderson on 4/29/12.
//  Copyright (c) 2012 University of Colorado, Boulder. All rights reserved.
//

#import "BitmapView.h"
#import "Bitmap.h"

@implementation BitmapView

- (Bitmap *) bitmap {
    return _bitmap;
}

- (void) setBitmap:(Bitmap *)bitmap {
    _bitmap = bitmap;
    [self setNeedsDisplay:YES];
}

- (void) bnr_setNeedsDisplay {
    [self setNeedsDisplay:YES];
}

- (void)drawRect:(NSRect)dirtyRect {
    NSRect bounds = [self bounds];
    
    [[NSColor purpleColor] set];
    NSRectFill(bounds);
    
    NSBitmapImageRep *rep = [self.bitmap imageRep];
    [rep drawAtPoint: NSZeroPoint];
    
    [[NSColor blackColor] set];
    NSFrameRect(bounds);
    
}

@end
